For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Fields
      • POSTCreate Project Field
      • PUTUpdate Project Field Definition (e.g. rename)
      • DELDelete Project Field
      • GETRetrieve ProjectField Value
      • PUTUpdate ProjectField Value
      • PUTUpdate Project Field Options (for dropdown types)
      • GETRetrieve All ProjectField Values
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Field

Create Project Field

POST
https://api.projectmanager.com/api/data/projects/fields
POST
/api/data/projects/fields
$curl -X POST https://api.projectmanager.com/api/data/projects/fields \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "string",
> "type": "string"
>}'
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "name": "string",
16 "type": "string",
17 "entityType": "string",
18 "options": [
19 "string"
20 ],
21 "shortId": "string"
22 }
23}
Creates a new ProjectField within your Workspace. A ProjectField is a custom field defined within your Workspace. You can define ProjectFields for any integration purpose that is important to your business. Each ProjectField has a data type as well as options in how it is handled. ProjectFields can be edited for each Project within your Workspace.
Was this page helpful?
Previous

Update Project Field Definition (e.g. rename)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

Information about the ProjectField to create
namestringRequired
The name of this Field
typeenumRequired

The type of the Field.

Attempting to create a field with any Type other than these will return an error.

For Dropdown Field types, specify the list of choices in the Options field.

Valid options are:

  • string
  • number
  • date
  • bool
  • currency
  • dropdown-single
  • dropdown-multi
shortIdstring or nullOptionalformat: "^[a-zA-Z0-9_]+$"

The short Id of this field - human readable identity

optionslist of strings or nullOptional

A list of options for use of this ProjectField. This is only valid if the Type value is set to Dropdown.

When a custom TaskField of type DropDown is shown to a user in the application, they will be able to choose one of the Options in this list.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject

Represents either a ProjectField or a TaskField, depending on the value of the EntityType for this object.

A ProjectField is a custom field defined within your Workspace. You can define ProjectFields for any integration purpose that is important to your business. Each ProjectField has a data type as well as options in how it is handled. ProjectFields can be edited for each Project within your Workspace.

A TaskField is a custom field defined within your Workspace for a specific Project. You can define TaskFields for any integration purpose that is important to your business. Each TaskField has a data type as well as options in how it is handled. TaskFields can be edited for each Task inside this Project.

Errors

400
Bad Request Error